procmeter3 (3.6-3.1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:21:33 +1100

procmeter3 (3.6-3.1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 06:43:32 +0000

procmeter3 (3.6-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop B-D libgtk2.0-dev. (Closes: #967710)

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Fix day-of-week for changelog entry 2.1-1.
  * Update standards version to 4.6.1, no changes needed.
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Replace dependency on transitional package
      x11proto-core-dev with replacement x11proto-dev.
    + Build-Depends: Drop dependency on essential package dpkg-dev (>= 1.17.0).

 -- Bastian Germann <bage@debian.org>  Sat, 16 Dec 2023 17:45:53 +0100

procmeter3 (3.6-3) unstable; urgency=medium

  * Add patch debian/patches/00-fix-undef-symbol-minor in order to use specific
    header file for definition of Linux kernel 'major' and 'minor'
    macros. Closes: #932008

 -- Josue Ortega <josue@debian.org>  Sat, 05 Jun 2021 21:42:08 -0600

procmeter3 (3.6-2) unstable; urgency=medium

  * Add co-maintainer.
  * Bump debhelper compat level to 11.
  * debian/copyright:
    - Update Format URL to use https.
    - Update copyright holders information.
  * debian/control:
    - Update Vcs-* fields to use salsa.debian.org.
    - Update Upstream Homepage.
  * debian/watch: Update to use secure URI.
  * Bump Standards-Version to 4.3.0:
    - debian/control: Document Rules-Requires-Root field.

 -- Josue Ortega <josue@debian.org>  Sat, 05 Jan 2019 12:04:01 -0600

procmeter3 (3.6-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/libsensors5.patch
       + Update checks for libsensors5 Closes: #918078.
  * debian/control
       + Replace libsensors4-dev build-depends by libsensors-dev Closes:
         #917446.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 03 Jan 2019 16:06:56 +0100

procmeter3 (3.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/loff_t.patch
       + Fix build with glibc 2.28 Closes: #916054.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 26 Dec 2018 00:22:40 +0100

procmeter3 (3.6-1) unstable; urgency=low

  * New upstream release
  * debian/control
       + Standards Version to 3.9.5
  * debian/rules
       + Updating to debhelper 9
       + Adding hardening options
  * debian/patches
       + Updating to be applied in new upstream release
       + Adding DEP3 header to patches
  * debian/copyright
       + Updating format url
       + Updating source url
  * debian/docs
       + Removing LSM and ANNOUNCE file
  * debian/watch
       + Updating url

 -- Wences Arana <aranax@debian.org.gt>  Sun, 16 Mar 2014 11:35:07 -0600

procmeter3 (3.5d-2) unstable; urgency=low

  * Deprecated build depend on libxaw-dev removed
  * Installing modules in /usr/lib/planner instead of
    /usr/lib/X11 Closes:#651145
  * Avoid the installation of duplicate examples in /usr/lib/X11 Closes:#651148
  * Avoid that procmeter3-{log,lcd} and	all loadable modules be linked needless
    libX11 shared libs Closes:#651166
  * Patch added to move headers files from /usr/lib/X11/ProcMeter3/include to
    /usr/include/planner Closes:#651150

 -- Wences Arana <aranax@debian.org.gt>  Sat, 10 Dec 2011 16:55:06 -0600

procmeter3 (3.5d-1) unstable; urgency=low

  * New upstream release
  * debian/control
    + Maintainer field updated (new email)
    + Standards Version updated to 3.9.2, no changes needed
    + VCS-* fields added
  * debian/copyright
    + Updated to use DEP5 rev. 174
    + License updated
  * debian/patches/*
    + manpages.patch, makefile.patch and debian-changes-3.5c-1.1 droped
      merged upstream
  * debian/watch
    + Download url updated
  * debian/rules
    + modules/ChangeLog was dropped by upstream, there is no
      need to copy it.

 -- Wences Arana <aranax@debian.org.gt>  Sun, 23 Oct 2011 00:45:12 -0600

procmeter3 (3.5c-1.2) unstable; urgency=low

  * Non maintainer upload.
  * Link against X11 libraries to fix FTBFS with ld --no-add-needed.
    Closes: #556073.
  * Build-depend on libsensors4-dev.

 -- Matthias Klose <doko@debian.org>  Sat, 03 Sep 2011 23:12:04 +0000

procmeter3 (3.5c-1.1) unstable; urgency=low

  * Ironic NMU
  * Fix crash when /proc/interrupts is > 64 chars long. Closes: #602975

 -- Joey Hess <joeyh@debian.org>  Tue, 04 Jan 2011 12:44:50 -0400

procmeter3 (3.5c-1) unstable; urgency=low

  * New maintainer (Closes: #483255)
  * New upstremer release (Closes: #570800)
  * debian/control:
    + Add new build depends libsensors-dev
  * Switch to dpkg-source 3.0 (quilt) format
  * debian/rules
    + Update to debhelper 7
  * debian/compat:
    + Migrate to debhelper 7
  * debian/copyright
    + Change to DEP5 format
  * debian/patches/*
    + Add patch to fix manpages
    + Add patch to fix makefile
  * debian/docs
    + Add missing doc files (ANNOUNCE, LSM, NEWS, README)
  * debian/clean added in order to delete auto-generated files

 -- Wences Rene Arana Fuentes <aranaf51@gmail.com>  Wed, 30 Jun 2010 10:14:36 -0600

procmeter3 (3.5b-1) unstable; urgency=low

  * QA upload.
  * New upstream version (Closes: #367443).
  * debian/control:
    + Update Standards-Version to 3.8.1 (no changes).
    + Update b-d from x-dev to x11proto-core-dev (Closes: #515389).
    + Fix spelling errors in package description.
  * debian/watch:
    + Update version from 2 to 3.
  * debian/copyright:
    + Version license link to GPL-2.
  * modules/acpi.c:
    + Add multiple batteries support (Closes: #460263).

 -- Marco Rodrigues <gothicx@sapo.pt>  Wed, 29 Apr 2009 18:11:30 +0000

procmeter3 (3.5a-4) unstable; urgency=low

  * Orphaned the package. Wow, 12 years..

 -- Joey Hess <joeyh@debian.org>  Tue, 27 May 2008 19:11:54 -0400

procmeter3 (3.5a-3) unstable; urgency=low

  * Correct issue with the statically allocated string returned by
    get_acpi_value that caused it to only look at last full capacity and never
    really at design capacity.

 -- Joey Hess <joeyh@debian.org>  Sat, 22 Dec 2007 22:30:01 -0500

procmeter3 (3.5a-2) unstable; urgency=low

  * Patch from upstream fixing readdir use to not assume that . and ..
    are returned first. Closes: #456585

 -- Joey Hess <joeyh@debian.org>  Thu, 20 Dec 2007 12:29:04 -0500

procmeter3 (3.5a-1) unstable; urgency=low

  * New upstream release.
  * Uploading to unstable.

 -- Joey Hess <joeyh@debian.org>  Sun, 16 Dec 2007 13:56:31 -0500

procmeter3 (3.5-2) experimental; urgency=low

  * Merge acpi changes from wmbattery:
    - Deal with batteries that report they're charged to greater than their
      max capacity.
    - Patch from Christian Schäfer to add support for using on acpi systems
      with no batteries.
    - guard against potential division by zero. Closes: #454766
    - fix an off-by-one
    - minor bug fix to acpi code, don't skip over dotfiles

 -- Joey Hess <joeyh@debian.org>  Fri, 07 Dec 2007 15:17:13 -0500

procmeter3 (3.5-1) experimental; urgency=low

  * New upstream release.
  * Stop building the gtk1 binary now that upstream supports building for
    gtk2. gprocmeter3 is now a link to procmeter3-gtk2. Closes: #438388
  * Note that the athena binary is renamed to procmeter3-xaw. There is a
    compatability symlink to procmeter3, but that might change in a later
    upstream release.
  * More manpage whatis fixes.
  * Add Homepage field.
  * Debhelper v5.
  * Uploaded to experimental as procmeter3-gtk has a number of bugs in my
    testing.

 -- Joey Hess <joeyh@debian.org>  Tue, 20 Nov 2007 16:35:47 -0500

procmeter3 (3.4g-1) unstable; urgency=low

  * New upstream release.
  * Includes better fix for #440473.

 -- Joey Hess <joeyh@debian.org>  Mon, 10 Sep 2007 01:55:03 -0400

procmeter3 (3.4f-5) unstable; urgency=low

  * Correct segfault in stat-cpu on SMP systems. Fix also sent upstream.
    Closes: #440473

 -- Joey Hess <joeyh@debian.org>  Sat, 01 Sep 2007 20:04:06 -0400

procmeter3 (3.4f-4) unstable; urgency=low

  * Fix menu section. Closes: #438102

 -- Joey Hess <joeyh@debian.org>  Wed, 15 Aug 2007 13:30:33 -0400

procmeter3 (3.4f-3) unstable; urgency=low

  * Correct units in ACPI battery rate display.
  * Updates for new menu policy and other menu file changes.

 -- Joey Hess <joeyh@debian.org>  Sun, 08 Jul 2007 16:36:38 -0400

procmeter3 (3.4f-2) unstable; urgency=low

  * Patch from Vincent Bernat adding support for 2.6.21, which changes
    yet again where the ACPI version number is stored.

 -- Joey Hess <joeyh@debian.org>  Mon, 14 May 2007 14:19:32 -0400

procmeter3 (3.4f-1) unstable; urgency=low

  * New upstream release, including /proc/mounts line length fix.

 -- Joey Hess <joeyh@debian.org>  Tue,  6 Mar 2007 15:02:51 -0500

procmeter3 (3.4e-2) unstable; urgency=low

  * Patch from Timo Lilja to fix a segfault if /proc/mounts has long lines.
    Closes: #402719

 -- Joey Hess <joeyh@debian.org>  Tue, 12 Dec 2006 10:28:41 -0500

procmeter3 (3.4e-1) unstable; urgency=low

  * New upstream release.

 -- Joey Hess <joeyh@debian.org>  Sat, 29 Apr 2006 12:26:47 -0400

procmeter3 (3.4d-5) unstable; urgency=low

  * Set procmeter3_modules section to 1, not 4, to match the filename and
    installation location. Although 1 isn't quite right, 4 is much less
    right.
  * Current standards version.

 -- Joey Hess <joeyh@debian.org>  Sun, 18 Dec 2005 17:19:12 -0500

procmeter3 (3.4d-4) unstable; urgency=low

  * Transition away from xlibs-dev.

 -- Joey Hess <joeyh@debian.org>  Wed, 30 Nov 2005 17:02:58 -0500

procmeter3 (3.4d-3) unstable; urgency=low

  * Remove symlink creation code; symlinks now kept in svn repo.
  * Fix man page typos spotted by A Costa. Also sent upstream.
    Closes: #337189, #337188

 -- Joey Hess <joeyh@debian.org>  Tue,  8 Nov 2005 15:01:22 -0500

procmeter3 (3.4d-2) unstable; urgency=low

  * Fix a bug in acpi.c that made it not read the info file and thus, not
    work. See bug #307278

 -- Joey Hess <joeyh@debian.org>  Mon,  2 May 2005 18:17:18 -0400

procmeter3 (3.4d-1) unstable; urgency=low

  * New upstream release:
    - Updated ACPI support to handle kernel version 2.6.
    - Added support for /dev/mapper in disk statistics.
    - Change to using 64-bit variables from /proc/stat.

 -- Joey Hess <joeyh@debian.org>  Sat, 30 Apr 2005 23:05:10 -0400

procmeter3 (3.4c-4) unstable; urgency=low

  * Improved (working) patch from Igor Goryachieff.

 -- Joey Hess <joeyh@debian.org>  Wed, 15 Dec 2004 18:28:57 -0500

procmeter3 (3.4c-3) unstable; urgency=low

  * Patch from Igor Goryachieff to fix the acpi bits that are not in
    wmbattery. Closes: #284945

 -- Joey Hess <joeyh@debian.org>  Thu,  9 Dec 2004 15:45:20 -0500

procmeter3 (3.4c-2) unstable; urgency=low

  * Ported over the last year or so of acpi changes from wmbattery.
    In particular, support the 2.6 kernel.

 -- Joey Hess <joeyh@debian.org>  Wed, 24 Nov 2004 17:05:30 -0500

procmeter3 (3.4c-1) unstable; urgency=low

  * New upstream release.

 -- Joey Hess <joeyh@debian.org>  Mon,  6 Sep 2004 14:16:35 -0400

procmeter3 (3.4b-1) unstable; urgency=low

  * New upstream release.
    - Incorporating my hostap changes.
    - Supporting 2.6 kernel's proc. Closes: #241140
  * Fix debhelper build dep.
  * Quote stuff in menu file.
  * Update standards-version.

 -- Joey Hess <joeyh@debian.org>  Sun, 25 Apr 2004 13:32:25 -0400

procmeter3 (3.4a-2) unstable; urgency=low

  * Add support for hostap, which adds a new field to the end of
    /proc/net/wireless.

 -- Joey Hess <joeyh@debian.org>  Mon, 29 Dec 2003 12:25:51 -0500

procmeter3 (3.4a-1) unstable; urgency=low

  * New upstream release.
    - Includes the biff atime fix. Closes: #185112

 -- Joey Hess <joeyh@debian.org>  Sun, 29 Jun 2003 20:10:08 -0400

procmeter3 (3.4-3) unstable; urgency=low

  * Built with xaw 7.

 -- Joey Hess <joeyh@debian.org>  Sun,  9 Mar 2003 18:01:13 -0500

procmeter3 (3.4-2) unstable; urgency=low

  * Patch from upstream to fix parsing of /proc/stat for interrupts and
    avoid crash.

 -- Joey Hess <joeyh@debian.org>  Mon, 24 Feb 2003 11:22:03 -0500

procmeter3 (3.4-1) unstable; urgency=low

  * New upstream release with lcdproc support.
  * Better supports the 2.5 kernel. Closes: #167352
  * Removed more newlines that confuse lexgrog.

 -- Joey Hess <joeyh@debian.org>  Sun,  2 Feb 2003 15:37:24 -0500

procmeter3 (3.3b-4) unstable; urgency=low

  * Fixed up man pages removing newlines that confused lexgrog.
  * Provided a real package as first alternate for xaw build-dep.
    Closes: #170002

 -- Joey Hess <joeyh@debian.org>  Thu, 21 Nov 2002 15:14:31 -0500

procmeter3 (3.3b-3) unstable; urgency=low

  * Patched longrun module to work with new glibc under which pread offsets
    were wrapping around.

 -- Joey Hess <joeyh@debian.org>  Tue, 22 Oct 2002 18:18:56 -0400

procmeter3 (3.3b-2) unstable; urgency=low

  * Fixed RC_PATH breakage.

 -- Joey Hess <joeyh@debian.org>  Sun, 25 Aug 2002 16:07:54 -0400

procmeter3 (3.3b-1) unstable; urgency=low

  * New upstream, incorporating my new modules.
  * Noved everything out of the X11R6 directory.

 -- Joey Hess <joeyh@debian.org>  Sun, 25 Aug 2002 16:02:21 -0400

procmeter3 (3.3a-10) unstable; urgency=low

  * Debhelper v4.

 -- Joey Hess <joeyh@debian.org>  Thu, 13 Jun 2002 17:10:18 -0400

procmeter3 (3.3a-9) unstable; urgency=low

  * Updated acpi.c from wmbattery 2.10. Cf #149715

 -- Joey Hess <joeyh@debian.org>  Tue, 11 Jun 2002 22:57:33 -0400

procmeter3 (3.3a-8) unstable; urgency=low

  * Corrected segfault if there is a /proc/acpi/ without a status file in it.
    How that can happen, I do not know. Closes: #148671

 -- Joey Hess <joeyh@debian.org>  Fri, 31 May 2002 21:32:19 -0400

procmeter3 (3.3a-7) unstable; urgency=low

  * Fixed a crash if there is ACPI support, but no battery info.

 -- Joey Hess <joeyh@debian.org>  Sun, 14 Apr 2002 23:15:37 -0400

procmeter3 (3.3a-6) unstable; urgency=low

  * Added an ACPI module.

 -- Joey Hess <joeyh@debian.org>  Sun,  7 Apr 2002 01:50:25 -0500

procmeter3 (3.3a-5) unstable; urgency=low

  * Added a transmeta crusoe longrun module.

 -- Joey Hess <joeyh@debian.org>  Thu,  4 Apr 2002 22:26:58 -0500

procmeter3 (3.3a-4) unstable; urgency=low

  * Better wireless link underflow detection.

 -- Joey Hess <joeyh@debian.org>  Fri, 15 Mar 2002 23:06:37 -0500

procmeter3 (3.3a-3) unstable; urgency=low

  * This includes the two patches in -2, notably wireless stats support. Both
    are accepted upstream, and I've had some requests for them, and a new
    version is slow in coming, so..

 -- Joey Hess <joey@kitenet.net>  Wed, 13 Mar 2002 23:08:18 -0500

procmeter3 (3.3a-2) unstable; urgency=low

  * (Never released)
  * Wrote and added wireless network device module, also sent upstream of
    course.
  * Added ability to set clock to 12 hour format by putting "12" in its
    options. Patch sent upstream, and accepted.

 -- Joey Hess <joeyh@debian.org>  Mon, 29 Oct 2001 16:21:12 -0500

procmeter3 (3.3a-1) unstable; urgency=low

  * New upstream.

 -- Joey Hess <joeyh@debian.org>  Sun, 27 May 2001 10:46:52 -0400

procmeter3 (3.3-4) unstable; urgency=low

  * Patch to fix crash/hang problems on systems with 5 block devices.
    Fixes half of #85354, which I have forwarded upstream.
  * Debhelper v3.

 -- Joey Hess <joeyh@debian.org>  Sat, 10 Feb 2001 00:34:07 -0800

procmeter3 (3.3-3) unstable; urgency=low

  * Added build-depends on xlibs-dev, Closes: #80184
    This should be redundant, since on i386 anyway, xlib6g-dev (which it
    already build-depends on) depends on xlibs-dev. Whatever. This will
    wake the m68k guys up and have them try to build it again, hopefully on
    a system that is running unstable, not some ancient system that still
    has xpm4g-dev.

 -- Joey Hess <joeyh@debian.org>  Wed,  7 Feb 2001 15:27:29 -0800

procmeter3 (3.3-2) unstable; urgency=low

  * Tightened gtk build dep, Closes: #81929

 -- Joey Hess <joeyh@debian.org>  Thu, 11 Jan 2001 10:35:52 -0800

procmeter3 (3.3-1) unstable; urgency=low

  * New upstream with gtk support.
  * For now, both binaries will be built and put in the same package.
  * Added to build depends.

 -- Joey Hess <joeyh@debian.org>  Sat,  6 Jan 2001 01:44:55 -0800

procmeter3 (3.2b-1) unstable; urgency=low

  * New upstream with more 2.4 fixes.

 -- Joey Hess <joeyh@debian.org>  Thu, 14 Dec 2000 11:31:30 -0800

procmeter3 (3.2a-1) unstable; urgency=low

  * New upstream.
    - Use a default font if the user specified one fails, Closes: #54093
    - Handle kernel version 2.4.0 with new format for /proc/stat, Closes: #70443

 -- Joey Hess <joeyh@debian.org>  Mon, 23 Oct 2000 11:01:24 -0700

procmeter3 (3.2-1) unstable; urgency=low

  * New upstream.

 -- Joey Hess <joeyh@debian.org>  Sun, 12 Dec 1999 17:09:46 -0800

procmeter3 (3.1c-4) unstable; urgency=low

  * Build deps.

 -- Joey Hess <joeyh@debian.org>  Sat,  4 Dec 1999 15:23:32 -0800

procmeter3 (3.1c-3) unstable; urgency=low

  * A bug in my build system caused a non-orig .tar.gz to be uploaded.
    Reupload full source.

 -- Joey Hess <joeyh@debian.org>  Thu, 30 Sep 1999 14:48:21 -0700

procmeter3 (3.1c-2) unstable; urgency=low

  * FHS

 -- Joey Hess <joeyh@debian.org>  Mon,  6 Sep 1999 16:25:55 -0700

procmeter3 (3.1c-1) unstable; urgency=low

  * New upstream version, fixes SMP cpu problem, Closes: #42600.

 -- Joey Hess <joeyh@debian.org>  Wed, 25 Aug 1999 15:18:08 -0700

procmeter3 (3.1b-3) unstable; urgency=low

  * Do not use the evil that is fakeroot (right now).

 -- Joey Hess <joeyh@debian.org>  Sun,  8 Aug 1999 17:52:04 -0700

procmeter3 (3.1b-2) unstable; urgency=low

  * Corrected modules path in /etc/procmeterrc.
  * Procmeter can now actually find and use /etc/procmeterrc.
  * This fixes 2/3 of bug #42600.

 -- Joey Hess <joeyh@debian.org>  Fri,  6 Aug 1999 21:22:11 -0700

procmeter3 (3.1b-1) unstable; urgency=low

  * New upstream release.

 -- Joey Hess <joeyh@debian.org>  Mon, 28 Jun 1999 17:09:30 -0700

procmeter3 (3.1-3) unstable; urgency=low

  * Maybe fixed problem with it looking in /usr/local/

 -- Joey Hess <joeyh@debian.org>  Wed, 17 Mar 1999 15:47:35 -0800

procmeter3 (3.1-2) unstable; urgency=low

  * Rebuild to fix odd corrupted binary problem (Closes: #34665).

 -- Joey Hess <joeyh@debian.org>  Tue, 16 Mar 1999 14:49:43 -0800

procmeter3 (3.1-1) unstable; urgency=low

  * New upstream release

 -- Joey Hess <joeyh@debian.org>  Sun,  7 Mar 1999 22:12:15 -0800

procmeter3 (3.0a-5) unstable; urgency=low

  * Spelling fix.

 -- Joey Hess <joeyh@debian.org>  Thu,  4 Feb 1999 16:19:04 -0800

procmeter3 (3.0a-4) frozen unstable; urgency=low

  * Reupload with source, which was accidentially left out.

 -- Joey Hess <joeyh@debian.org>  Mon,  2 Nov 1998 12:51:34 -0800

procmeter3 (3.0a-3) unstable; urgency=low

  * Reupload with source. Oops.

 -- Joey Hess <joeyh@debian.org>  Sat, 24 Oct 1998 15:59:30 -0700

procmeter3 (3.0a-2) unstable; urgency=low

  * Patched up to version 3.0a. No more log module errors (#28088).

 -- Joey Hess <joeyh@debian.org>  Sat, 24 Oct 1998 13:42:40 -0700

procmeter3 (3.0-1) unstable; urgency=low

  * New upstream release. Complete re-write and redesign.
  * Changed package name to procmeter3 so it can co-exist with procmeter 2.x,
    which I expect some people will want to continue to use because of
    features it has that procmeter3 lacks.

 -- Joey Hess <joeyh@debian.org>  Tue, 13 Oct 1998 12:46:25 -0700

procmeter (2.4c-1) unstable; urgency=low

  * New upstream release, fixes network stats for kernel 2.1.90.

 -- Joey Hess <joeyh@debian.org>  Sat, 21 Mar 1998 12:42:07 -0800

procmeter (2.4b-4) unstable; urgency=low

  * Fixed i before e except after c error (#19004).

 -- Joey Hess <joeyh@debian.org>  Thu,  5 Mar 1998 17:06:58 -0800

procmeter (2.4b-3) unstable; urgency=low

  * Wrote man pages for procmeter-xlog and start-procmeter.

 -- Joey Hess <joeyh@debian.org>  Tue, 24 Feb 1998 22:14:55 -0800

procmeter (2.4b-2) unstable; urgency=low

  * Updated fsf address.

 -- Joey Hess <joeyh@debian.org>  Mon,  9 Feb 1998 13:35:37 -0800

procmeter (2.4b-1) unstable; urgency=low

  * New upstream release. (With fixes for kernel 2.1.84.)

 -- Joey Hess <joeyh@debian.org>  Thu,  5 Feb 1998 16:46:02 -0800

procmeter (2.4a-1) unstable; urgency=low

  * New upstream release.

 -- Joey Hess <joeyh@debian.org>  Wed, 28 Jan 1998 10:22:30 -0500

procmeter (2.4-1) unstable; urgency=low

  * New upstream release. Fixes bug #16104 (clock skip not handled
    gracefully) and #16108 (spkt / fpkt asymmetry)
  * Use debhelper.
  * Removed suggests: perl, becuase perl-base is all that is really needed.

 -- Joey Hess <joeyh@debian.org>  Sat, 10 Jan 1998 13:22:22 -0500

procmeter (2.3a-6) unstable; urgency=low

  * Fixed bug in menu file.

 -- Joey Hess <joeyh@debian.org>  Fri, 12 Sep 1997 20:57:00 -0400

procmeter (2.3a-5) unstable; urgency=low

  * For some reason, last version still depended on libc6. Rebuilt procmeter
    to fix this (#12811).

 -- Joey Hess <joeyh@debian.org>  Thu, 11 Sep 1997 13:27:38 -0400

procmeter (2.3a-4) unstable; urgency=low

  * Rebuilt with all libc6 libs now.
  * Suggest perl, so logtail and procmeter-xlog will work.

 -- Joey Hess <joeyh@debian.org>  Mon,  8 Sep 1997 14:27:14 -0400

procmeter (2.3a-3) unstable; urgency=low

  * Only install one copy of contrib/README file.
  * Fixed rotate protection in logtail.

 -- Joey Hess <joeyh@debian.org>  Sat,  6 Sep 1997 01:03:59 -0400

procmeter (2.3a-2) unstable; urgency=low

  * Fixed logtail pattern matching.

 -- Joey Hess <joeyh@debian.org>  Fri,  5 Sep 1997 14:50:23 -0400

procmeter (2.3a-1) unstable; urgency=low

  * New upstream release.
  * Lost version 2.3-1 somehow, so merged all changes from that version back
    in.
  * Modifications to logtail to make it start faster.
  * Added start-procmeter to the menu file, and added longtitles.

 -- Joey Hess <joeyh@debian.org>  Fri,  5 Sep 1997 13:23:55 -0400

procmeter (2.3-1) unstable; urgency=low

  * New upstream release (lots of great new features in this one)
  * Includes ethernet collision meter, fixes bug #11931
  * Use pristine sources.
  * Install contrib/README as README.contrib in /usr/doc/procmeter.
  * Built with libc6, but will need to be rebuilt later when libc6 xlib is
    available.

 -- Joey Hess <joeyh@debian.org>  Fri, 22 Aug 1997 00:20:47 -0400

procmeter (2.2b-1) unstable; urgency=low

  * Fakeroot and sudo fixes.
  * Run dpkg-gencontrol after debstd, and delete substvars during clean.
  * Converted menu file to new format.
  * Included ChangeLog-1 in the package.
  * New upstream release.

 -- Joey Hess <joeyh@debian.org>  Sun,  3 Aug 1997 19:42:26 -0400

procmeter (2.2a-1) unstable; urgency=routine

  * New upstream release.

 -- Joey Hess <joeyh@debian.org>  Sat, 22 Mar 1997 14:17:51 -0500

procmeter (2.2-5) unstable; urgency=routine

  * Previous version made procmeter dependant on nextaw. Removed that
    dependancy.
  * Moved into section utils.

 -- Joey Hess <joeyh@debian.org>  Mon, 13 Jan 1997 00:33:02 -0500

procmeter (2.2-4) unstable; urgency=low

  * Moved into section admin.
  * Moved menu item into Apps/System, and make procmeter display load
    average on startup by default when run from the menu item.

 -- Joey Hess <joeyh@debian.org>  Thu, 9 Jan 1997 20:10:19 -0500

procmeter (2.2-3) unstable; urgency=low

  * Moved menu entry into /System
  * Routine update of debian/rules:
    Use build-stamp instead of build.

 -- Joey Hess <joeyh@debian.org>  Wed, 1 Jan 1997 15:20:41 -0500

procmeter (2.2-2) unstable; urgency=low

  * Added a menu file.
  * Routine update of debian/rules:
    New email address.

 -- Joey Hess <joeyh@debian.org>  Tue, 24 Dec 1996 20:30:51 -0500

procmeter (2.2-1) unstable; urgency=low

  * Routine update of debian/rules (use debmake).
  * New upstream release.

 -- Joey Hess <joeyh@debian.org>  Mon, 4 Nov 1996 10:42:49 -0500

procmeter (2.1-3) unstable; urgency=low

  * Routine update of debian/rules.
  * Now registers itself with install-fvwm2menu.

 -- Joey Hess <joeyh@debian.org>  Sun, 6 Oct 1996 14:45:53 -0400

procmeter (2.1-2) unstable; urgency=low

  * Updated to new source format and standards-version

 -- Joey Hess <joeyh@debian.org>  Sun, 8 Sep 1996 17:15:17 -0400

procmeter (2.1-1) unstable; urgency=low

  * New upstream version

 -- Joey Hess <joeyh@debian.org>  Mon, 02 Sep 1996 16:02:23 -0400

procmeter (2.0-2) unstable; urgency=low

  * fixed "Unexpected 'ctxt' line in the '/proc/stat' file." bug.
  * routine debian.build update
  * changed priority to optional

 -- Joey Hess <joeyh@debian.org>  Fri, 23 Aug 1996 15:37:25 -0400

procmeter (2.0-1) unstable; urgency=low

  * Initial release

 -- Joey Hess <joeyh@debian.org>  Wed, 21 Aug 1996 15:37:25 -0400
